---
references:
- id: AdaliComplexValued2011
  accessed:
    - year: 2019
      month: 5
      day: 27
  author:
    - family: Adali
      given: T.
    - family: Schreier
      given: P. J.
    - family: Scharf
      given: L. L.
  citation-key: AdaliComplexValued2011
  container-title: IEEE Transactions on Signal Processing
  container-title-short: IEEE Trans. Signal Process.
  DOI: 10.1109/TSP.2011.2162954
  ISSN: 1053-587X, 1941-0476
  issue: '11'
  issued:
    - year: 2011
      month: 11
  language: en
  number: '11'
  page: 5101-5125
  title: 'Complex-Valued Signal Processing: The Proper Way to Deal With Impropriety'
  type: article-journal
  URL: >-
    http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.310.639&rep=rep1&type=pdf
  volume: '59'

- id: BahmaniPhase2016
  author:
    - family: Bahmani
      given: Sohail
    - family: Romberg
      given: Justin
  citation-key: BahmaniPhase2016
  container-title: arXiv:1610.04210 [cs, math, stat]
  issued:
    - year: 2016
      month: 10
      day: 13
  title: >-
    Phase Retrieval Meets Statistical Learning Theory: A Flexible Convex
    Relaxation
  type: article-journal
  URL: http://arxiv.org/abs/1610.04210

- id: BarkhuijsenRetrieval1985
  accessed:
    - year: 2018
      month: 8
      day: 29
  author:
    - family: Barkhuijsen
      given: H.
    - family: Beer
      given: R.
      non-dropping-particle: de
    - family: Bovée
      given: W. M. J.
    - family: Ormondt
      given: D.
      non-dropping-particle: van
  citation-key: BarkhuijsenRetrieval1985
  container-title: Journal of Magnetic Resonance (1969)
  container-title-short: Journal of Magnetic Resonance (1969)
  DOI: 10.1016/0022-2364(85)90187-8
  ISSN: 0022-2364
  issue: '3'
  issued:
    - year: 1985
      month: 2
      day: 15
  number: '3'
  page: 465-481
  title: >-
    Retrieval of frequencies, amplitudes, damping factors, and phases from
    time-domain signals using a linear least-squares procedure
  type: article-journal
  volume: '61'

- id: CandesPhase2015
  accessed:
    - year: 2018
      month: 8
      day: 30
  author:
    - family: Candes
      given: Emmanuel
    - family: Li
      given: Xiaodong
    - family: Soltanolkotabi
      given: Mahdi
  citation-key: CandesPhase2015
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.2015.2399924
  ISSN: 0018-9448, 1557-9654
  issue: '4'
  issued:
    - year: 2015
      month: 4
  language: en
  number: '4'
  page: 1985-2007
  title: 'Phase retrieval via Wirtinger Flow: Theory and Algorithms'
  type: article-journal
  URL: http://arxiv.org/abs/1407.1065
  volume: '61'

- id: CandesPhaseLift2011
  author:
    - family: Candes
      given: Emmanuel J.
    - family: Strohmer
      given: Thomas
    - family: Voroninski
      given: Vladislav
  citation-key: CandesPhaseLift2011
  container-title: Communications on Pure and Applied Mathematics
  DOI: 10.1002/cpa.21432
  issue: '8'
  issued:
    - year: 2011
  page: 1241-1274
  title: >-
    PhaseLift: Exact and Stable Signal Recovery from Magnitude Measurements via
    Convex Programming
  type: article-journal
  volume: '66'

- id: ChenSolving2015
  accessed:
    - year: 2018
      month: 8
      day: 29
  author:
    - family: Chen
      given: Yuxin
    - family: Candès
      given: Emmanuel
  citation-key: ChenSolving2015
  container-title: Advances in Neural Information Processing Systems 28
  editor:
    - family: Cortes
      given: C.
    - family: Lawrence
      given: N. D.
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Garnett
      given: R.
  issued:
    - year: 2015
  page: 739–747
  publisher: Curran Associates, Inc.
  title: >-
    Solving random quadratic systems of equations is nearly as easy as solving
    linear systems
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5743-solving-random-quadratic-systems-of-equations-is-nearly-as-easy-as-solving-linear-systems.pdf

- id: ChiNonconvex2019
  accessed:
    - year: 2019
      month: 11
      day: 26
  author:
    - family: Chi
      given: Yuejie
    - family: Lu
      given: Yue M.
    - family: Chen
      given: Yuxin
  citation-key: ChiNonconvex2019
  container-title: IEEE Transactions on Signal Processing
  container-title-short: IEEE Trans. Signal Process.
  DOI: 10.1109/TSP.2019.2937282
  ISSN: 1053-587X, 1941-0476
  issue: '20'
  issued:
    - year: 2019
      month: 10
      day: 15
  page: 5239-5269
  title: 'Nonconvex Optimization Meets Low-Rank Matrix Factorization: An Overview'
  type: article-journal
  URL: http://arxiv.org/abs/1809.09573
  volume: '67'

- id: DhifallahPhase2018
  accessed:
    - year: 2019
      month: 11
      day: 26
  author:
    - family: Dhifallah
      given: Oussama
    - family: Thrampoulidis
      given: Christos
    - family: Lu
      given: Yue M.
  citation-key: DhifallahPhase2018
  container-title: arXiv:1805.09555 [cs, math]
  issued:
    - year: 2018
      month: 5
      day: 24
  title: >-
    Phase Retrieval via Polytope Optimization: Geometry, Phase Transitions, and
    New Algorithms
  type: article-journal
  URL: http://arxiv.org/abs/1805.09555

- id: GoldsteinPhaseMax2016
  author:
    - family: Goldstein
      given: Tom
    - family: Studer
      given: Christoph
  citation-key: GoldsteinPhaseMax2016
  container-title: arXiv:1610.07531 [cs, math]
  issued:
    - year: 2016
      month: 10
      day: 24
  title: 'PhaseMax: Convex Phase Retrieval via Basis Pursuit'
  type: article-journal
  URL: http://arxiv.org/abs/1610.07531

- id: GriffinSignal1984
  author:
    - family: Griffin
      given: D.
    - family: Lim
      given: Jae
  citation-key: GriffinSignal1984
  container-title: IEEE Transactions on Acoustics, Speech, and Signal Processing
  DOI: 10.1109/TASSP.1984.1164317
  ISSN: 0096-3518
  issue: '2'
  issued:
    - year: 1984
      month: 4
  number: '2'
  page: 236-243
  title: Signal estimation from modified short-time Fourier transform
  type: article-journal
  URL: http://musicweb.ucsd.edu/~sdubnov/CATbox/Reader/GriffinLimMSTFT.pdf
  volume: '32'

- id: GrosseShiftInvariant2007
  accessed:
    - year: 2016
      month: 3
      day: 28
  author:
    - family: Grosse
      given: Roger
    - family: Raina
      given: Rajat
    - family: Kwong
      given: Helen
    - family: Ng
      given: Andrew Y.
  citation-key: GrosseShiftInvariant2007
  container-title: >-
    The Twenty-Third Conference on Uncertainty in Artificial Intelligence
    (UAI2007)
  event-title: >-
    Proceedings of the Twenty-Third Conference on Uncertainty in Artificial
    Intelligence (UAI2007)
  issued:
    - year: 2007
  page: '8'
  title: Shift-Invariant Sparse Coding for Audio Classification
  type: paper-conference
  URL: http://arxiv.org/abs/1206.5241
  volume: '9'

- id: HandElementary2016
  author:
    - family: Hand
      given: Paul
    - family: Voroninski
      given: Vladislav
  citation-key: HandElementary2016
  container-title: arXiv:1611.03935 [cs, math]
  issued:
    - year: 2016
      month: 11
      day: 11
  title: >-
    An Elementary Proof of Convex Phase Retrieval in the Natural Parameter Space
    via the Linear Program PhaseMax
  type: article-journal
  URL: http://arxiv.org/abs/1611.03935

- id: JaganathanPhase2015
  accessed:
    - year: 2019
      month: 3
      day: 6
  author:
    - family: Jaganathan
      given: Kishore
    - family: Eldar
      given: Yonina C.
    - family: Hassibi
      given: Babak
  citation-key: JaganathanPhase2015
  container-title: arXiv:1510.07713 [cs, math]
  issued:
    - year: 2015
      month: 10
      day: 26
  title: 'Phase Retrieval: An Overview of Recent Developments'
  type: article-journal
  URL: http://arxiv.org/abs/1510.07713

- id: JagatapSampleOptimal2018
  author:
    - family: Jagatap
      given: G.
    - family: Hegde
      given: C.
  citation-key: JagatapSampleOptimal2018
  container-title: 2018 IEEE International Symposium on Information Theory (ISIT)
  DOI: 10.1109/ISIT.2018.8437770
  event-title: 2018 IEEE International Symposium on Information Theory (ISIT)
  issued:
    - year: 2018
      month: 6
  page: 2296-2300
  title: >-
    Towards Sample-Optimal Methods for Solving Random Quadratic Equations with
    Structure
  type: paper-conference
  volume: '1000'

- id: LiGradient2016
  accessed:
    - year: 2019
      month: 5
      day: 21
  author:
    - family: Li
      given: Ji
    - family: Zhou
      given: Tie
  citation-key: LiGradient2016
  container-title: arXiv:1607.01121 [math]
  issued:
    - year: 2016
      month: 7
      day: 5
  title: On Gradient Descent Algorithm for Generalized Phase Retrieval Problem
  type: article-journal
  URL: http://arxiv.org/abs/1607.01121

- id: LuoOptimal2019
  accessed:
    - year: 2019
      month: 11
      day: 26
  author:
    - family: Luo
      given: Wangyu
    - family: Alghamdi
      given: Wael
    - family: Lu
      given: Yue M.
  citation-key: LuoOptimal2019
  container-title: IEEE Transactions on Signal Processing
  container-title-short: IEEE Trans. Signal Process.
  DOI: 10.1109/TSP.2019.2904918
  ISSN: 1053-587X, 1941-0476
  issue: '9'
  issued:
    - year: 2019
      month: 5
      day: 1
  page: 2347-2356
  title: >-
    Optimal Spectral Initialization for Signal Recovery with Applications to
    Phase Retrieval
  type: article-journal
  URL: http://arxiv.org/abs/1811.04420
  volume: '67'

- id: MarafiotiAdversarial2019
  accessed:
    - year: 2021
      month: 5
      day: 21
  author:
    - family: Marafioti
      given: Andrés
    - family: Perraudin
      given: Nathanaël
    - family: Holighaus
      given: Nicki
    - family: Majdak
      given: Piotr
  citation-key: MarafiotiAdversarial2019
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2019
      month: 5
      day: 24
  language: en
  page: 4352-4362
  publisher: PMLR
  title: >-
    Adversarial Generation of Time-Frequency Features with application in audio
    synthesis
  type: paper-conference
  URL: https://arxiv.org/abs/1902.04072v2

- id: MasuyamaDeep2019
  accessed:
    - year: 2019
      month: 3
      day: 20
  author:
    - family: Masuyama
      given: Yoshiki
    - family: Yatabe
      given: Kohei
    - family: Koizumi
      given: Yuma
    - family: Oikawa
      given: Yasuhiro
    - family: Harada
      given: Noboru
  citation-key: MasuyamaDeep2019
  container-title: ICASSP 2019
  issued:
    - year: 2019
      month: 3
      day: 10
  title: Deep Griffin-Lim Iteration
  type: paper-conference
  URL: http://arxiv.org/abs/1903.03971

- id: MoravecCompressive2007
  accessed:
    - year: 2018
      month: 8
      day: 29
  author:
    - family: Moravec
      given: Matthew L.
    - family: Romberg
      given: Justin K.
    - family: Baraniuk
      given: Richard G.
  citation-key: MoravecCompressive2007
  container-title: Wavelets XII
  DOI: 10.1117/12.736360
  event-place: San Diego, CA
  event-title: Wavelets XII
  issued:
    - year: 2007
      month: 9
      day: 27
  page: '670120'
  publisher: International Society for Optics and Photonics
  publisher-place: San Diego, CA
  title: Compressive phase retrieval
  type: paper-conference
  URL: >-
    https://pdfs.semanticscholar.org/6be6/b1cb2147c5dfcd5da04ca8954eecfe05e53d.pdf
  volume: '6701'

- id: PerraudinFast2013
  accessed:
    - year: 2019
      month: 4
      day: 23
  author:
    - family: Perraudin
      given: Nathanael
    - family: Balazs
      given: Peter
    - family: Sondergaard
      given: Peter L.
  citation-key: PerraudinFast2013
  container-title: >-
    2013 IEEE Workshop on Applications of Signal Processing to Audio and
    Acoustics
  DOI: 10.1109/WASPAA.2013.6701851
  event-place: New Paltz, NY
  event-title: >-
    2013 IEEE Workshop on Applications of Signal Processing to Audio and
    Acoustics (WASPAA 2013)
  ISBN: 978-1-4799-0972-8
  issued:
    - year: 2013
      month: 10
  page: 1-4
  publisher: IEEE
  publisher-place: New Paltz, NY
  title: A fast Griffin-Lim algorithm
  type: paper-conference

- id: PinillaSmoothing2018
  author:
    - family: Pinilla
      given: S.
    - family: Bacca
      given: J.
    - family: Tourneret
      given: J.
    - family: Arguello
      given: H.
  citation-key: PinillaSmoothing2018
  container-title: 2018 IEEE Statistical Signal Processing Workshop (SSP)
  DOI: 10.1109/SSP.2018.8450729
  event-title: 2018 IEEE Statistical Signal Processing Workshop (SSP)
  issued:
    - year: 2018
      month: 6
  page: 278-282
  title: >-
    A Smoothing Stochastic Phase Retrieval Algorithm for Solving Random
    Quadratic Systems
  type: paper-conference

- id: PruRealTime2016
  author:
    - family: Pru
      given: Zdeneˇk
    - family: Søndergaard
      given: Peter L
  citation-key: PruRealTime2016
  issued:
    - year: 2016
  language: en
  page: '5'
  title: Real-Time Spectrogram Inversion Using Phase Gradient Heap Integration
  type: article-journal

- id: RajaeiRobust2017
  accessed:
    - year: 2017
      month: 2
      day: 4
  author:
    - family: Rajaei
      given: Boshra
    - family: Gigan
      given: Sylvain
    - family: Krzakala
      given: Florent
    - family: Daudet
      given: Laurent
  citation-key: RajaeiRobust2017
  container-title: Image Processing On Line
  DOI: 10.5201/ipol.2017.178
  ISSN: 2105-1232
  issued:
    - year: 2017
      month: 1
      day: 26
  page: 43-55
  title: >-
    Robust Phase Retrieval with the Swept Approximate Message Passing (prSAMP)
    Algorithm
  type: article-journal
  URL: http://www.ipol.im/pub/art/2017/178/
  volume: '7'

- id: SeuretWirtingerbased2013
  accessed:
    - year: 2019
      month: 5
      day: 21
  author:
    - family: Seuret
      given: Alexandre
    - family: Gouaisbaut
      given: Frédéric
  citation-key: SeuretWirtingerbased2013
  container-title: Automatica
  issue: '9'
  issued:
    - year: 2013
      month: 9
  page: 2860-2866
  title: 'Wirtinger-based integral inequality: Application to time-delay systems'
  type: article-journal
  URL: https://hal.archives-ouvertes.fr/hal-00855159
  volume: '49'

- id: ShechtmanGESPAR2014
  author:
    - family: Shechtman
      given: Y.
    - family: Beck
      given: A.
    - family: Eldar
      given: Y. C.
  citation-key: ShechtmanGESPAR2014
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2013.2297687
  ISSN: 1053-587X
  issue: '4'
  issued:
    - year: 2014
      month: 2
  number: '4'
  page: 928-938
  title: 'GESPAR: Efficient Phase Retrieval of Sparse Signals'
  type: article-journal
  volume: '62'

- id: ShechtmanPhase2015
  author:
    - family: Shechtman
      given: Y.
    - family: Eldar
      given: Y. C.
    - family: Cohen
      given: O.
    - family: Chapman
      given: H. N.
    - family: Miao
      given: J.
    - family: Segev
      given: M.
  citation-key: ShechtmanPhase2015
  container-title: IEEE Signal Processing Magazine
  DOI: 10.1109/MSP.2014.2352673
  ISSN: 1053-5888
  issue: '3'
  issued:
    - year: 2015
      month: 5
  number: '3'
  page: 87-109
  title: 'Phase Retrieval with Application to Optical Imaging: A contemporary overview'
  type: article-journal
  URL: http://arxiv.org/abs/1402.7350
  volume: '32'

- id: SlaneyAuditory1994
  accessed:
    - year: 2019
      month: 4
      day: 12
  author:
    - family: Slaney
      given: M.
    - family: Naar
      given: D.
    - family: Lyon
      given: R.E.
  citation-key: SlaneyAuditory1994
  container-title: Proceedings of ICASSP '94.
  DOI: 10.1109/ICASSP.1994.389714
  event-place: Adelaide, SA, Australia
  event-title: >-
    ICASSP '94. IEEE International Conference on Acoustics, Speech and Signal
    Processing
  ISBN: 978-0-7803-1775-8
  issued:
    - year: 1994
  language: en
  page: II/77-II/80
  publisher: IEEE
  publisher-place: Adelaide, SA, Australia
  title: Auditory model inversion for sound separation
  type: paper-conference
  volume: ii

- id: SturmPitchshifting2006
  accessed:
    - year: 2018
      month: 9
      day: 7
  author:
    - family: Sturm
      given: Bob L.
    - family: Daudet
      given: Laurent
    - family: Roads
      given: Curtis
  citation-key: SturmPitchshifting2006
  collection-title: AMCMM '06
  container-title: Proceedings of the 1st ACM Workshop on Audio and Music Computing Multimedia
  DOI: 10.1145/1178723.1178730
  event-place: New York, NY, USA
  ISBN: 978-1-59593-501-4
  issued:
    - year: 2006
  page: 45–52
  publisher: ACM
  publisher-place: New York, NY, USA
  title: Pitch-shifting audio signals using sparse atomic approximations
  type: paper-conference
  URL: http://doi.acm.org/10.1145/1178723.1178730

- id: WangSolving2017
  accessed:
    - year: 2018
      month: 12
      day: 2
  author:
    - family: Wang
      given: Gang
    - family: Giannakis
      given: Georgios
    - family: Saad
      given: Yousef
    - family: Chen
      given: Jie
  citation-key: WangSolving2017
  container-title: Advances in Neural Information Processing Systems 30
  editor:
    - family: Guyon
      given: I.
    - family: Luxburg
      given: U. V.
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Fergus
      given: R.
    - family: Vishwanathan
      given: S.
    - family: Garnett
      given: R.
  issued:
    - year: 2017
  page: 1867–1877
  publisher: Curran Associates, Inc.
  title: Solving Most Systems of Random Quadratic Equations
  type: chapter
  URL: >-
    http://papers.nips.cc/paper/6783-solving-most-systems-of-random-quadratic-equations.pdf

- id: ZhangProvable2016
  accessed:
    - year: 2016
      month: 3
      day: 21
  author:
    - family: Zhang
      given: Huishuai
    - family: Chi
      given: Yuejie
    - family: Liang
      given: Yingbin
  citation-key: ZhangProvable2016
  container-title: arXiv:1603.03805 [stat]
  issued:
    - year: 2016
      month: 3
      day: 11
  title: >-
    Provable Non-convex Phase Retrieval with Outliers: Median Truncated
    Wirtinger Flow
  type: article-journal
  URL: http://arxiv.org/abs/1603.03805

- id: ZhangReshaped2016
  accessed:
    - year: 2016
      month: 12
      day: 7
  author:
    - family: Zhang
      given: Huishuai
    - family: Liang
      given: Yingbin
  citation-key: ZhangReshaped2016
  container-title: Advances in Neural Information Processing Systems 29
  editor:
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Luxburg
      given: U. V.
    - family: Guyon
      given: I.
    - family: Garnett
      given: R.
  ISBN: 978-1-5108-3881-9
  issued:
    - year: 2016
  page: 2622–2630
  publisher: Curran Associates, Inc.
  title: Reshaped wirtinger flow for solving quadratic system of equations
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/6319-reshaped-wirtinger-flow-for-solving-quadratic-system-of-equations.pdf
...
